[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libgtk+2.0-directfb question

Frans Pop wrote:
Hi Alastair,

Thanks for the quick fixes As you may have seen from the mountain of posts on d-boot about the graphical installer, we now have a working build system.

Unfortunately we do not yet have a gtk.so cdebconf frontend that works with your udeb (we currently use a tarball handcrafted by Attilio instead).

Main reason is that neither Davide nor Attilio has been able to figure out how to compile the frontend against it properly.

exact: ATM we have

*libgtk+2.0-directfb0-udeb_2.0.9.2-3_i386.udeb and libdirectfb-0.9-22-udeb_0.9.22-7.1_i386.udeb but NO .deb development packages

*libgtk+2.0-directfb0-udeb_2.0.9-5_i386.udeb and libdirectfb-0.9-20-udeb_0.9.20-5_i386 with their developement packages(libgtk+2.0-directfb-udeb-dev_2.0.9-5_i386.deb and libdirectfb-udeb-dev_0.9.20-5_i386.deb).

Using the latest two development .deb packages it's possible to compile correctly a gtk.so but this gtk.so is then useless since requires libgtk+2.0-directfb0-udeb_2.0.9-5_i386.udeb and libdirectfb-0.9-20-udeb_0.9.20-5_i386 but many other udebs used to build the miniiso require libdirectfb-0.9-22-udeb_0.9.22-7.1_i386.udeb .

Can you offer advice (suggest a procedure)?
Would it be possible to include a libgtk+2.0-directfb library and/or -dev package alongside the udeb that could be used to build against?

This is EXACTLY what we need: a (let's say) "libgtk+2.0-directfb-udeb-dev_2.0.9-2.3_i386.deb" and a (let's say) "libdirectfb-udeb-dev_0.9.22-7.1_i386.deb" that allows us to compile gtk.so having and make it run with already existing "libgtk+2.0-directfb0-udeb_2.0.9.2-3_i386.udeb" and "libdirectfb-0.9-22-udeb_0.9.22-7.1_i386.udeb" udebs.



Reply to: